
Redmine - Defect #18928

Incorrect path to uploaded files in redmine 2.6.1

2015-01-21 19:29 - Mad Geniy

Status: Closed Start date:  

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.6.1

Description

I use 2.6.1 version of redmine, upgreaded from 1.2.x and with database imported from bitnami redmine stack.

What wrong?

All links in my redmine like "redmine/attachments/XX/xxx.xx".

But uplodaded files are in "redmine/files/xxxx/xx/xxx.xx"

How I can correct it?

Related issues:

Has duplicate Redmine - Defect #18948: Corrct files directory, incorrect link... Closed

History

#1 - 2015-01-22 06:40 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Invalid

Please use the forums for support requests (and make sure you've read Submissions and How to request help, and include as many details as you

have).

Edit: r10990 for #5298, introduced in Redmine 2.3.0, might be notable.

#2 - 2015-01-25 19:07 - Toshi MARUYAMA

- Related to Defect #18948: Corrct files directory, incorrect links to files added

#3 - 2015-01-25 19:12 - Toshi MARUYAMA

- Related to deleted (Defect #18948: Corrct files directory, incorrect links to files)

#4 - 2015-01-25 19:13 - Toshi MARUYAMA

- Has duplicate Defect #18948: Corrct files directory, incorrect links to files added

#5 - 2015-01-25 19:17 - Toshi MARUYAMA

Mad Geniy wrote:

All links in my redmine like "redmine/attachments/XX/xxx.xx".

But uplodaded files are in "redmine/files/xxxx/xx/xxx.xx"

 It is design.

source:tags/2.6.1/app/models/attachment.rb#L323

#6 - 2015-01-25 19:34 - Mad Geniy

But I can't download it. Strange behavior, because uploaded file have to be downloaded. Isn't it? How I can resolve it? I don't know RoR.

#7 - 2015-01-25 19:42 - Toshi MARUYAMA

RedmineUpgrade

All file uploads are stored to the files/ directory. You can copy the contents of this directory to another location to easily back it up.

2025-05-02 1/2

www.redmine.org/projects/redmine/boards
https://www.redmine.org/projects/redmine/wiki/Submissions
https://www.redmine.org/boards/2/topics/667
https://www.redmine.org/projects/redmine/repository/svn/revisions/10990
https://www.redmine.org/issues/5298
https://www.redmine.org/versions/60
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/2.6.1/app/models/attachment.rb#L323
https://www.redmine.org/projects/redmine/wiki/RedmineUpgrade#Backing-up-the-files


#8 - 2015-01-26 10:42 - Mad Geniy

My situation:

I uploaded file, for example, "some_file.png" to Wiki page. Then, I wrote some text and use this file:

   my some super text illustarted with image !some_file.png!

After uploding file, Redmine puts it into /files directory.

But after saving my WikiPage, "some_file.png" has a link at /attachments file and I can't see image, only link to file "some_file.png", and if I click on it,

I get 404 error, because no files in /attachments directory.

Real example:

I have file in

../redmine/files/2015/01/150121205344_a406c999df9d9de8ec63e11bed0c69b4.jpg

but link to this file in web interface of Redmine is

http://tasks.spbdk.ru/attachments/download/20/%D0%91%D1%8D%D0%BA%D0%B0%D0%BF.jpg

I can't understand why and how to fix it. Please, help me.

#9 - 2015-01-26 11:32 - Toshi MARUYAMA

See #18948#note-5.

Please use Wrong links for attachments.

We cannot support individual environment.
http://tasks.spbdk.ru/attachments/download/20/%D0%91%D1%8D%D0%BA%D0%B0%D0%BF.jpg
https://www.redmine.org/issues/18948#note-5
https://www.redmine.org/boards/1/topics/45186
http://www.tcpdf.org

